import { jsx } from "react/jsx-runtime";
import { TokenONT as TokenONT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenONT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "ONT", "data-name": "TokenONT", ...props, children: /* @__PURE__ */ jsx(TokenONT$1, { variant }) });
  }
);
TokenONT.displayName = "TokenONT";
Object.assign(TokenONT, { isGdsIcon: true });
export {
  TokenONT
};
